<script>
  export let closeFn
  export let group
  export let auth

  import {
    EditOutline,
    CloseSquareOutline,
    PersonAddOutline,
  } from '../../assets/icons'

  import localForage from 'localforage'

  import { setToast } from '../../stores/toast'
  import offline from '../../stores/offline'
  import groupsAuthRefreshKey from '../../stores/groupsAuthRefreshKey'

  import ModalMenu from '../../components/ModalMenu'

  import { default as _leaveGroup } from '../../utils/leaveGroup'

  let leaving = false
  async function leaveGroup() {
    leaving = true
    await _leaveGroup(group, auth)
    leaving = false
  }
</script>

<ModalMenu {closeFn}>
  <button
    class="modal-menu-btn"
    disabled={$offline || leaving}
    on:click|stopPropagation={() => (location.hash = `#/groups/${auth.id}/edit`)}
  >
    <span class="icon mr-2">
      <EditOutline />
    </span>
    Editar grupo
  </button>
  <button
    class="modal-menu-btn"
    disabled={leaving}
    on:click|stopPropagation={() => (location.hash = `#/groups/${auth.id}/invite`)}
  >
    <span class="icon mr-2">
      <PersonAddOutline />
    </span>
    Invitar al grupo
  </button>
  <button
    class="modal-menu-btn text-red-700 dark:text-red-500"
    disabled={$offline || leaving}
    on:click|stopPropagation={leaveGroup}
  >
    <span class="icon mr-2">
      <CloseSquareOutline />
    </span>
    Salir del grupo
  </button>
</ModalMenu>
